Skip to main content
GET
/
api
/
v2.1
/
fundamentals
/
shareClassProfile
Get Share Class Profile V2.1
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/fundamentals/shareClassProfile?token='
import requests

url = "https://api.benzinga.com/api/v2.1/fundamentals/shareClassProfile?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v2.1/fundamentals/shareClassProfile?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": [
    {
      "company": {
        "primarySymbol": "AAPL",
        "primaryExchange": "NAS",
        "cik": "320193",
        "isin": "CA03785Y1007",
        "cusip": "03785Y100",
        "standardName": "Apple",
        "countryId": "USA",
        "isReit": false,
        "industryTemplateCode": "N",
        "businessCountryId": "USA",
        "isLimitedPartnership": false,
        "yearofEstablishment": 1977,
        "isLimitedLiabilityCompany": false
      },
      "shareClassProfile": {
        "asOf": "2025-11-30",
        "marketCap": 4045174397280,
        "enterpriseValue": 4089134397280,
        "sharesOutstanding": 14776353000
      },
      "symbol": "AAPL",
      "idType": "SYMBOL",
      "id": "AAPL"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
  "result": [
    {
      "company": {
        "primarySymbol": "AAPL",
        "primaryExchange": "NAS",
        "cik": "320193",
        "isin": "CA03785Y1007",
        "cusip": "03785Y100",
        "standardName": "Apple",
        "countryId": "USA",
        "isReit": false,
        "industryTemplateCode": "N",
        "businessCountryId": "USA",
        "isLimitedPartnership": false,
        "yearofEstablishment": 1977,
        "isLimitedLiabilityCompany": false
      },
      "shareClassProfile": {
        "asOf": "2025-11-30",
        "marketCap": 4045174397280,
        "enterpriseValue": 4089134397280,
        "sharesOutstanding": 14776353000
      },
      "symbol": "AAPL",
      "idType": "SYMBOL",
      "id": "AAPL"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

symbols
string
required

Comma separated list of symbols (e.g., AAPL, MSFT)

asOf
string

Return results for dates greater than or equal date specified in this parameter (YYYY-MM-DD)

period
string

Specifies the time period of the returned results (e.g., Q1, 2023)

reportType
string

Report type: TTM (Trailing Twelve Months), A (As originally reported), R (Restated), P (Preliminary)

Response

Share class profile data

The response is of type string.